import { requestUtil } from '@/utils/request'


/**
 * 获得banner列表
 */
export function getBanner(data) {
    return requestUtil.get('/market/banner/list', data)
}

/**
 * 获取首页信息
 */
export function getHomeData(data) {
    return requestUtil.get('/product/shop/index', data)
}

/**
 * 评论列表
 */
export function replyList(data) {
    return requestUtil.get(`/product/reply/list/${ data.id }`, data)
}

/**
 *  获取可拼团列表
 * @param data
 * @return {*}
 */
export function getCanGroupByList(data) {
    return requestUtil.get('/teamwork/wait-list', data)
}

/**
 * 根据拼团ID获取拼团信息
 * @param data.id
 * @return {*}
 */
export function getGroupByDetailTeamworkId(data) {
    return requestUtil.get('/teamwork/product-detail', data)
}
